Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ObserverWalker Class Reference
Inheritance diagram for ObserverWalker:

## Public Member Functions
| deleteCollisions (self)
| disableAvatarControls (self)
| enableAvatarControls (self)
| initializeCollisions (self, collisionTraverser, avatarNodePath, avatarRadius=1.4, floorOffset=1.0, reach=1.0)
| oneTimeCollide (self)
| setCollisionsActive (self, active=1)
Public Member Functions inherited from NonPhysicsWalker
| __init__ (self)
| addBlastForce (self, vector)
| debugPrint (self, message)
| displayDebugInfo (self)
| doDeltaPos (self)
| flushEventHandlers (self)
| getSpeeds (self)
| getVelocity (self)
| handleAvatarControls (self, task)
| placeOnFloor (self)
| reset (self)
| setAirborneHeightFunc (self, getAirborneHeight)
| setAvatar (self, avatar)
| setFloorBitMask (self, bitMask)
| setTag (self, key, value)
| setWalkSpeed (self, forward, jump, reverse, rotate)
| setWallBitMask (self, bitMask)
| swapFloorBitMask (self, oldMask, newMask)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Additional Inherited Members
Public Attributes inherited from NonPhysicsWalker
| avatar = avatar
| avatarControlForwardSpeed = forward
| avatarControlReverseSpeed = reverse
| avatarControlRotateSpeed = rotate
| avatarNodePath = avatarNodePath
int | collisionsActive = 0
| cRay = CollisionRay(0.0, 0.0, CollisionHandlerRayStart, 0.0, 0.0, -1.0)
| cRayBitMask = bitMask
| cRayNodePath = avatarNodePath.attachNewNode(cRayNode)
| cSphere = CollisionSphere(0.0, 0.0, 0.0, avatarRadius)
| cSphereBitMask = bitMask
| cSphereNodePath = avatarNodePath.attachNewNode(cSphereNode)
| cTrav = collisionTraverser
| getAirborneHeight = getAirborneHeight
| handleAvatarControls
| lifter = CollisionHandlerFloor()
| pusher = CollisionHandlerPusher()
float | rotationSpeed = 0.0
float | slideSpeed = 0.0
float | speed = 0.0
int | stopThisFrame = 0
| vel = Vec3(0.0, 0.0, 0.0)
int | worldVelocity = Vec3.zero()
Static Public Attributes inherited from NonPhysicsWalker
| notify = DirectNotifyGlobal.directNotify.newCategory("NonPhysicsWalker")
str | slideName = "slide-is-disabled"
| wantDebugIndicator = ConfigVariableBool('want-avatar-physics-indicator', False)
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from NonPhysicsWalker
| _calcSpeeds (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Member Function Documentation

## ◆ deleteCollisions()

deleteCollisions | ( |  | self | ) |

Reimplemented from NonPhysicsWalker.

## ◆ disableAvatarControls()

disableAvatarControls | ( |  | self | ) |

    Ignore the arrow keys, etc.

Reimplemented from NonPhysicsWalker.

## ◆ enableAvatarControls()

enableAvatarControls | ( |  | self | ) |

    Activate the arrow keys, etc.

Reimplemented from NonPhysicsWalker.

## ◆ initializeCollisions()

initializeCollisions | ( |  | self,
|  |  | collisionTraverser,
|  |  | avatarNodePath,
|  |  | avatarRadius = 1.4,
|  |  | floorOffset = 1.0,
|  |  | reach = 1.0 )

    Set up the avatar for collisions

    Set up the avatar for collisions

Reimplemented from NonPhysicsWalker.

## ◆ oneTimeCollide()

oneTimeCollide | ( |  | self | ) |

    Makes one quick collision pass for the avatar, for instance as
    a one-time straighten-things-up operation after collisions
    have been disabled.

Reimplemented from NonPhysicsWalker.

## ◆ setCollisionsActive()

setCollisionsActive | ( |  | self,
|  |  | active = 1 )

Reimplemented from NonPhysicsWalker.